server:
  port: 8089 #启动端口
  max-http-header-size: 10000000
  servlet:
    context-path: /
spring:
  application:
    name: dxhy-manage
  profiles:
    active: dev
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
#mybatis
mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.dxhy.manage.*.entity,com.dxhy.manage.*.*.entity
  global-config:
    #数据库相关配置
    db-config:

      id-type: AUTO
      #字段策略 IGNORED:"忽略判断",NOT_NULL:"非 NULL 判断"),NOT_EMPTY:"非空判断"
      field-strategy: NOT_NULL
      #驼峰下划线转换
      column-underline: true
      logic-delete-value: -1
      logic-not-delete-value: 0
    banner: false
  #原生配置
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'


# 必须配置
feign:
  httpclient:
    enabled: false
  okhttp:
    enabled: true

ribbon:
  eureka:
    enabled: true
  ReadTimeout: 1000000
  ConnectTimeout: 1000000
  MaxAutoRetries: 0
  MaxAutoRetriesNextServer: 1
  OkToRetryOnAllOperations: false
  listofservers: http://172.16.1.69:8761
hystrix:
  threadpool:
    default:
      coreSize: 1000 ##并发执行的最大线程数，默认10
      maxQueueSize: 1000 ##BlockingQueue的最大队列数
      queueSizeRejectionThreshold: 500 ##即使maxQueueSize没有达到，达到queueSizeRejectionThreshold该值后，请求也会被拒绝
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 110000


auth:
  serviceId: dxhy-admin
  user:
    token-header: Authorization
  client:
    id: dxhy-manage
    secret: 123456
    token-header: x-client-token


jasypt:
  encryptor:
    password: dxhy


rabbitmq:
  prefetchCount: 2  # 个消费者可以fetch的最大消息数量
  concurrentConsumers: 2 # 设置并发消费者数量
  maxConcurrentConsumers: 10 # 设置最大消费者数量，自动扩展消费者数量关键配置
TO_EXCEL_APPLY: TATA_TO_EXCEL_APPLY
TO_INVOICE_LOG: TATA_TO_INVOICE_LOG
TO_INVOICE_STATUS: TATA_TO_INVOICE_STATUS
TO_MESSAGE_LOG: TATA_TO_MESSAGE_LOG
TO_MSG_EXCEL_APPLY: TATA_TO_MSG_EXCEL_APPLY

endpoints:
  enabled: false